#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time    : 2021/11/10 4:03 PM
# @File    : empirical.py
# @Software: PyCharm


from empirical_func import *


if __name__ == '__main__':
    times = ['2020-03-03 10:00',
             '2020-12-16 14:00',
             '2021-03-17 14:00',
             '2021-09-22 14:00']
    time_file = {'2020-03-03 10:00': 'SPY_20200303',
                 '2020-12-16 14:00': 'SPY_20201216',
                 '2021-03-17 14:00': 'SPY_20210317',
                 '2021-09-22 14:00': 'SPY_20210922'}

    # Permutation Test for SPY Return, Abs Return, Volume, and Amihud
    test_keywords = ['Return', 'Abs_Return', 'Volume', 'Amihud']
    for k in [5, 10, 30]:
        for time in times:
            print(time, '\n kn=', k)
            file = time_file[time] + '.csv'
            for keyword in test_keywords:
                print('  ', keyword)
                result = run_test(file, time, keyword, discard=0, kn=k)
                print('     ', result)
            print('--------\n')
        print('========\n\n')

    # Permutation Test for SPY spread
    for k in [5, 10, 30]:
        for time in times:
            print(time, '\n kn=', k)
            file = time[0:4] + time[5:7] + time[8:10] + '_quote.csv'
            print('  Spread')
            result = run_test_spread(file, time, 'Spread', discard=0, kn=k)
            print('     ', result)
        print('--------\n')
    print('========\n\n')
