%% Figure specs
cd m60;
cd results
load parameters
cd ..
fontsize = 14;
linestyle = {'k:','k--','k-.','k-'};

%% Power Plot Beta 2
cutoff = 5;
close all;
load('./mat/result_beta200_truncInf.mat')
load(filename);

figure('Position', [1,1,1500,1000]); set(gcf,'color','w');
subplot(2,2,1)
area([0,cutoff],[alpha,alpha],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
counter = 1;
for i = 1:size(kn_both,2)
    if kn_both(1,i)==kn_both(2,i)
    pic(counter) = plot(Jlist(Jlist<=cutoff),table_CvM_model_a(i,Jlist<=cutoff),linestyle{counter},'linewidth',1.5); hold on;
    counter = counter +1;
    end
end
xlabel('Jump Size'); ylabel('Rejection Probability')
title('Permutation Test in Model A')
legend([pic(1), pic(2), pic(3), pic(4)],'$k_n = 15$','$k_n = 30$','$k_n = 60$','$k_n = 90$','location','northwest','Interpreter','latex'); legend boxoff;
box off;
set(gca,'fontsize',fontsize,'fontname','times');

subplot(2,2,2)
counter = 1;
area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
for i = 1:size(kn_both,2)
    if kn_both(1,i)==kn_both(2,i)
    plot(Jlist(Jlist<=cutoff),table_tstat_model_a(i,Jlist<=cutoff),linestyle{counter},'linewidth',1.5); hold on;
    counter = counter +1;
    end
end
xlabel('Jump Size'); ylabel('Rejection Probability')
title('T-test in Model A')
box off;
set(gca,'fontsize',fontsize,'fontname','times');

subplot(2,2,3)
counter = 1;
area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
for i = 1:size(kn_both,2)
    if kn_both(1,i)==kn_both(2,i)
    plot(Jlist(Jlist<=cutoff),table_CvM_model_b(i,Jlist<=cutoff),linestyle{counter},'linewidth',1.5); hold on;
    counter = counter +1;
    end
end
xlabel('Jump Size'); ylabel('Rejection Probability')
title('Permutation Test in Model B')
box off;
set(gca,'fontsize',fontsize,'fontname','times');

subplot(2,2,4)
counter = 1;
area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
for i = 1:size(kn_both,2)
    if kn_both(1,i)==kn_both(2,i)
    plot(Jlist(Jlist<=cutoff),table_tstat_model_b(i,Jlist<=cutoff),linestyle{counter},'linewidth',1.5); hold on;
    counter = counter +1;
    end
end
xlabel('Jump Size'); ylabel('Rejection Probability')
title('T-test in Model B')
box off;
set(gca,'fontsize',fontsize,'fontname','times');

%set(gcf, 'InvertHardcopy', 'off')
print('../powerfigbeta200.eps','-depsc')
%print -deps2 './TablePlots/powerfigbeta200'
%print -deps2 '../../draft/draft15/powerfigbeta200'
%print -dpng './TablePlots/powerfigbeta200'

% %% Power Plot Beta 1.5 Trunc 20
% cutoff = 5;
% close all;
% load('./mat/result_beta150_trunc20.mat')
% load(filename);
% tmptmp = zeros(length(knlist),length(Jlist));
% table_CvM_model_a = tmptmp;
% table_KS_model_a = tmptmp;
% table_tstat_model_a = tmptmp;
% table_CvM_model_b = tmptmp;
% table_KS_model_b = tmptmp;
% table_tstat_model_b = tmptmp;
% 
% for Jloop = 1:length(Jlist)
%     for knloop = 1:length(knlist)
%         table_CvM_model_a(knloop,Jloop) = mean(CvMrej_model_a(:,Jloop,knloop));
%         table_KS_model_a(knloop,Jloop) = mean(KSrej_model_a(:,Jloop,knloop));
%         table_tstat_model_a(knloop,Jloop) = ...
%             mean(abs(tstat_model_a(:,Jloop,knloop))>norminv(0.975));
%         table_CvM_model_b(knloop,Jloop) = mean(CvMrej_model_b(:,Jloop,knloop));
%         table_KS_model_b(knloop,Jloop) = mean(KSrej_model_b(:,Jloop,knloop));
%         table_tstat_model_b(knloop,Jloop) = ...
%             mean(abs(tstat_model_b(:,Jloop,knloop))>norminv(0.975));        
%     end
% end
% FigH = figure('Position', get(0, 'Screensize')); set(gcf,'color','w');
% subplot(2,2,1)
% area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
% for i = 1:4
%     pic(i) = plot(Jlist(Jlist<=cutoff),table_CvM_model_a(i,Jlist<=cutoff),linestyle{i},'linewidth',1.5); hold on;
% end
% xlabel('Jump Size'); ylabel('Rejection Probability')
% title('Permutation Test in Model A')
% legend([pic(1), pic(2), pic(3), pic(4)],'kn = 15','kn = 30','kn = 60','kn = 90','location','northwest'); legend boxoff;
% box off;
% set(gca,'fontsize',fontsize,'fontname','times');
% 
% subplot(2,2,2)
% area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
% for i = 1:4
%     plot(Jlist(Jlist<=cutoff),table_tstat_model_a(i,Jlist<=cutoff),linestyle{i},'linewidth',1.5); hold on;
% end
% xlabel('Jump Size'); ylabel('Rejection Probability')
% title('T-test in Model A')
% box off;
% set(gca,'fontsize',fontsize,'fontname','times');
% 
% subplot(2,2,3)
% area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
% for i = 1:4
%     plot(Jlist(Jlist<=cutoff),table_CvM_model_b(i,Jlist<=cutoff),linestyle{i},'linewidth',1.5); hold on;
% end
% xlabel('Jump Size'); ylabel('Rejection Probability')
% title('Permutation Test in Model B')
% box off;
% set(gca,'fontsize',fontsize,'fontname','times');
% 
% subplot(2,2,4)
% area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
% for i = 1:4
%     plot(Jlist(Jlist<=cutoff),table_tstat_model_b(i,Jlist<=cutoff),linestyle{i},'linewidth',1.5); hold on;
% end
% xlabel('Jump Size'); ylabel('Rejection Probability')
% title('T-test in Model B')
% box off;
% set(gca,'fontsize',fontsize,'fontname','times');
% 
% print -deps2 './TablePlots/powerfigbeta150trunc20'
% print -deps2 '../../draft/figures/powerfigbeta150trunc20'
% print -dpng './TablePlots/powerfigbeta150trunc20'
% 
% %% Power Plot Beta 1.5 Trunc 10
% cutoff = 5;
% close all;
% load('./mat/result_beta150_trunc10.mat')
% load(filename);
% tmptmp = zeros(length(knlist),length(Jlist));
% table_CvM_model_a = tmptmp;
% table_KS_model_a = tmptmp;
% table_tstat_model_a = tmptmp;
% table_CvM_model_b = tmptmp;
% table_KS_model_b = tmptmp;
% table_tstat_model_b = tmptmp;
% 
% for Jloop = 1:length(Jlist)
%     for knloop = 1:length(knlist)
%         table_CvM_model_a(knloop,Jloop) = mean(CvMrej_model_a(:,Jloop,knloop));
%         table_KS_model_a(knloop,Jloop) = mean(KSrej_model_a(:,Jloop,knloop));
%         table_tstat_model_a(knloop,Jloop) = ...
%             mean(abs(tstat_model_a(:,Jloop,knloop))>norminv(0.975));
%         table_CvM_model_b(knloop,Jloop) = mean(CvMrej_model_b(:,Jloop,knloop));
%         table_KS_model_b(knloop,Jloop) = mean(KSrej_model_b(:,Jloop,knloop));
%         table_tstat_model_b(knloop,Jloop) = ...
%             mean(abs(tstat_model_b(:,Jloop,knloop))>norminv(0.975));        
%     end
% end
% FigH = figure('Position', get(0, 'Screensize')); set(gcf,'color','w');
% subplot(2,2,1)
% area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
% for i = 1:4
%     pic(i) = plot(Jlist(Jlist<=cutoff),table_CvM_model_a(i,Jlist<=cutoff),linestyle{i},'linewidth',1.5); hold on;
% end
% xlabel('Jump Size'); ylabel('Rejection Probability')
% title('Permutation Test in Model A')
% legend([pic(1), pic(2), pic(3), pic(4)],'kn = 15','kn = 30','kn = 60','kn = 90','location','northwest'); legend boxoff;
% box off;
% set(gca,'fontsize',fontsize,'fontname','times');
% 
% subplot(2,2,2)
% area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
% for i = 1:4
%     plot(Jlist(Jlist<=cutoff),table_tstat_model_a(i,Jlist<=cutoff),linestyle{i},'linewidth',1.5); hold on;
% end
% xlabel('Jump Size'); ylabel('Rejection Probability')
% title('T-test in Model A')
% box off;
% set(gca,'fontsize',fontsize,'fontname','times');
% 
% subplot(2,2,3)
% area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
% for i = 1:4
%     plot(Jlist(Jlist<=cutoff),table_CvM_model_b(i,Jlist<=cutoff),linestyle{i},'linewidth',1.5); hold on;
% end
% xlabel('Jump Size'); ylabel('Rejection Probability')
% title('Permutation Test in Model B')
% box off;
% set(gca,'fontsize',fontsize,'fontname','times');
% 
% subplot(2,2,4)
% area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
% for i = 1:4
%     plot(Jlist(Jlist<=cutoff),table_tstat_model_b(i,Jlist<=cutoff),linestyle{i},'linewidth',1.5); hold on;
% end
% xlabel('Jump Size'); ylabel('Rejection Probability')
% title('T-test in Model B')
% box off;
% set(gca,'fontsize',fontsize,'fontname','times');
% 
% print -deps2 './TablePlots/powerfigbeta150trunc10'
% print -deps2 '../../draft/figures/powerfigbeta150trunc10'
% print -dpng './TablePlots/powerfigbeta150trunc10'
% 
% %% Power Plot Beta 1.5 Trunc 30
% cutoff = 5;
% close all;
% load('./mat/result_beta150_trunc30.mat')
% load(filename);
% tmptmp = zeros(length(knlist),length(Jlist));
% table_CvM_model_a = tmptmp;
% table_KS_model_a = tmptmp;
% table_tstat_model_a = tmptmp;
% table_CvM_model_b = tmptmp;
% table_KS_model_b = tmptmp;
% table_tstat_model_b = tmptmp;
% 
% for Jloop = 1:length(Jlist)
%     for knloop = 1:length(knlist)
%         table_CvM_model_a(knloop,Jloop) = mean(CvMrej_model_a(:,Jloop,knloop));
%         table_KS_model_a(knloop,Jloop) = mean(KSrej_model_a(:,Jloop,knloop));
%         table_tstat_model_a(knloop,Jloop) = ...
%             mean(abs(tstat_model_a(:,Jloop,knloop))>norminv(0.975));
%         table_CvM_model_b(knloop,Jloop) = mean(CvMrej_model_b(:,Jloop,knloop));
%         table_KS_model_b(knloop,Jloop) = mean(KSrej_model_b(:,Jloop,knloop));
%         table_tstat_model_b(knloop,Jloop) = ...
%             mean(abs(tstat_model_b(:,Jloop,knloop))>norminv(0.975));        
%     end
% end
% FigH = figure('Position', get(0, 'Screensize')); set(gcf,'color','w');
% subplot(2,2,1)
% area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
% for i = 1:4
%     pic(i) = plot(Jlist(Jlist<=cutoff),table_CvM_model_a(i,Jlist<=cutoff),linestyle{i},'linewidth',1.5); hold on;
% end
% xlabel('Jump Size'); ylabel('Rejection Probability')
% title('Permutation Test in Model A')
% legend([pic(1), pic(2), pic(3), pic(4)],'kn = 15','kn = 30','kn = 60','kn = 90','location','northwest'); legend boxoff;
% box off;
% set(gca,'fontsize',fontsize,'fontname','times');
% 
% subplot(2,2,2)
% area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
% for i = 1:4
%     plot(Jlist(Jlist<=cutoff),table_tstat_model_a(i,Jlist<=cutoff),linestyle{i},'linewidth',1.5); hold on;
% end
% xlabel('Jump Size'); ylabel('Rejection Probability')
% title('T-test in Model A')
% box off;
% set(gca,'fontsize',fontsize,'fontname','times');
% 
% subplot(2,2,3)
% area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
% for i = 1:4
%     plot(Jlist(Jlist<=cutoff),table_CvM_model_b(i,Jlist<=cutoff),linestyle{i},'linewidth',1.5); hold on;
% end
% xlabel('Jump Size'); ylabel('Rejection Probability')
% title('Permutation Test in Model B')
% box off;
% set(gca,'fontsize',fontsize,'fontname','times');
% 
% subplot(2,2,4)
% area([0,cutoff],[0.05,0.05],'facecolor',0.8*ones(3,1),'edgecolor','none'); hold on;
% for i = 1:4
%     plot(Jlist(Jlist<=cutoff),table_tstat_model_b(i,Jlist<=cutoff),linestyle{i},'linewidth',1.5); hold on;
% end
% xlabel('Jump Size'); ylabel('Rejection Probability')
% title('T-test in Model B')
% box off;
% set(gca,'fontsize',fontsize,'fontname','times');
% 
% print -deps2 './TablePlots/powerfigbeta150trunc30'
% print -deps2 '../../draft/figures/powerfigbeta150trunc30'
% print -dpng './TablePlots/powerfigbeta150trunc30'