random_index = str2num(getenv('SLURM_ARRAY_TASK_ID')); %#ok<ST2NM> % Array goes from 1:1000;
warning off;
mkdir results % results will be stored here;
warning on;

%% new simulations for "finpermute" project
m_frequency = 60; % this is the sampling frequency. It implies that we observe an 
% observation every 60 seconds, i.e., 1 minute data. We simulate 1 second 
% data and aggregate m = 60 observations to get one.

% m controls the high-frequency sampling frequency. If we want to pretend 
% that the sample size increased, we decrease m, which means that we are 
% sampling data more frequently.  
% For example, we can set m = 30 to sample every 1/2 minute. Note that this
% will mean that kn will have to rise so that k_n*m remains constant; 

knlist_base = [15,30,60,90]; % the "base" list for kn;
knlist = knlist_base*60/m_frequency; % kn list: it's equal to the base if m=60;
kn_both = combvec(knlist,knlist); % list of all possible kn combinations;
Jlist =  (0:0.5:7.5); % jump size list: =0 is H0 and >0 is H1;
alpha = 0.05; % significance level;
B = 1000; % number of draws used to compute the CV by permutation;
cd results
save  parameters m_frequency knlist kn_both Jlist alpha B;
cd ..

%% Beta = 2
rng(random_index); % fix the random seed;
beta = 2; trunc = inf;
design_index = 1;
simulation_core;

%% Beta = 1.5, trunc = 20
rng(random_index); % fix the random seed;
beta = 1.5; trunc = 20;
design_index = 2;
simulation_core;

%% Beta = 1.5, trunc = 10
rng(random_index); % fix the random seed;
beta = 1.5; trunc = 10;
design_index = 3;
simulation_core;

%% Beta = 1.5, trunc = 30
rng(random_index); % fix the random seed;
beta = 1.5; trunc = 30;
design_index = 4;
simulation_core;