%% read program;

mkdir mat
mkdir csv

cd results
load  parameters m_frequency knlist  kn_both Jlist alpha B;
cd ..

MC_size = 2000; % there are 1000 MC draws;
design_size = 4; % there are 4 designs

for design_index = 1:design_size
    
    % initialize matrices;
    tmp = zeros(MC_size,length(Jlist),length(kn_both));
    
    mat_CvMrej_model_a = tmp;
    mat_CvMtie_model_a = tmp;
    mat_KSrej_model_a = tmp;
    mat_KStie_model_a = tmp;
    mat_tstat_model_a = tmp;
    
    mat_CvMrej_model_b = tmp;
    mat_CvMtie_model_b = tmp;
    mat_KSrej_model_b = tmp;
    mat_KStie_model_b = tmp;
    mat_tstat_model_b = tmp;
    
    % load the results and put them on a matrix;
    for MC_index = 1:MC_size
        
        cd results
        eval(['load results_mc_',num2str(design_index),'_',num2str(MC_index)])
        cd ..
        
        mat_CvMrej_model_a(MC_index,:,:) = CvMrej_model_a;
        mat_CvMtie_model_a(MC_index,:,:) = CvMtie_model_a;
        mat_KSrej_model_a(MC_index,:,:)  = KSrej_model_a;
        mat_KStie_model_a(MC_index,:,:)  = KStie_model_a;
        mat_tstat_model_a(MC_index,:,:)  = tstat_model_a;
        
        mat_CvMrej_model_b(MC_index,:,:) = CvMrej_model_b;
        mat_CvMtie_model_b(MC_index,:,:) = CvMtie_model_b;
        mat_KSrej_model_b(MC_index,:,:)  = KSrej_model_b;
        mat_KStie_model_b(MC_index,:,:)  = KStie_model_b;
        mat_tstat_model_b(MC_index,:,:)  = tstat_model_b;
    end
    
    % define the names of the files & tables
    filename = sprintf('./mat/result_beta%d_trunc%d.mat',beta*100,trunc);
    csvfilename = sprintf('./csv/result_beta%d_trunc%d.csv',beta*100,trunc);
        save(filename);
        
    %% make table
    load(filename);
    tmp = zeros(length(kn_both),length(Jlist));
    table_CvM_model_a = tmp;
    table_KS_model_a = tmp;
    table_tstat_model_a = tmp;
    table_CvM_model_b = tmp;
    table_KS_model_b = tmp;
    table_tstat_model_b = tmp;
    
    for Jloop = 1:length(Jlist)
        for knloop = 1:length(kn_both)
            
            % table for model a
            table_CvM_model_a(knloop,Jloop) = mean(mat_CvMrej_model_a(:,Jloop,knloop));
            table_KS_model_a(knloop,Jloop) = mean(mat_KSrej_model_a(:,Jloop,knloop));
            table_tstat_model_a(knloop,Jloop) = ...
                mean(abs(mat_tstat_model_a(:,Jloop,knloop))>norminv(1-alpha/2));
            
            % table for model b
            table_CvM_model_b(knloop,Jloop) = mean(mat_CvMrej_model_b(:,Jloop,knloop));
            table_KS_model_b(knloop,Jloop) = mean(mat_KSrej_model_b(:,Jloop,knloop));
            table_tstat_model_b(knloop,Jloop) = ...
                mean(abs(mat_tstat_model_b(:,Jloop,knloop))>norminv(1-alpha/2));
        end
    end
    
    % crate table
    alltable = [table_CvM_model_a; table_KS_model_a; table_tstat_model_a; ...
        table_CvM_model_b; table_KS_model_b; table_tstat_model_b];
    
    % save table
    csvwrite(csvfilename,alltable);
        save(filename);
    
end