% Jlist, knlist, beta, trunc alpha given outside
% directories added and created also outside

% Simulation
kn_max = max(knlist); % we only need to simulate 2*knmax+1 observations in total;
kn_both = combvec(knlist,knlist); % list of all possible kn combinations;

tmp = zeros(length(Jlist),length(kn_both));
CvMrej_model_a = tmp;
CvMtie_model_a = tmp;
KSrej_model_a = tmp;
KStie_model_a = tmp;
tstat_model_a = tmp;

CvMrej_model_b = tmp;
CvMtie_model_b = tmp;
KSrej_model_b = tmp;
KStie_model_b = tmp;
tstat_model_b = tmp;

tic
fprintf('beta = %f, trunc = %f\n',beta,trunc);
for Jloop = 1:length(Jlist)
    
    J = Jlist(Jloop);
    simul = ptvj_dgp(beta,J,kn_max,m_frequency,trunc);
    xa1 = simul.xa1; 
    xa2 = simul.xa2;
    xb1 = simul.xb1; 
    xb2 = simul.xb2;
    
    for knloop = 1:length(kn_both)
        kn_pre = kn_both(1,knloop);
        kn_post = kn_both(2,knloop);
        
        % compute for model a and b
        outputa = ptvj(xa1(end-kn_pre+1:end),xa2(1:kn_post),alpha,B);
        outputb = ptvj(xb1(end-kn_pre+1:end),xb2(1:kn_post),alpha,B);
        
        % record results
        % model a
        CvMrej_model_a(Jloop,knloop) = outputa.CvMrejection;
        CvMtie_model_a(Jloop,knloop) = outputa.CvMrandomized;
        KSrej_model_a(Jloop,knloop)  = outputa.KSrejection;
        KStie_model_a(Jloop,knloop)  = outputa.KSrandomized;
        
        % model b
        CvMrej_model_b(Jloop,knloop) = outputb.CvMrejection;
        CvMtie_model_b(Jloop,knloop) = outputb.CvMrandomized;
        KSrej_model_b(Jloop,knloop)  = outputb.KSrejection;
        KStie_model_b(Jloop,knloop)  = outputb.KSrandomized;
        
        % tstat
        tstat_model_a(Jloop,knloop) = ptvj_spottest(xa1(end-kn_pre+1:end),xa2(1:kn_post));
        tstat_model_b(Jloop,knloop) = ptvj_spottest(xb1(end-kn_pre+1:end),xb2(1:kn_post));
    end
end
time = toc;

cd results
eval(['save results_mc_',num2str(design_index),'_',num2str(random_index),' time CvMrej_model_* CvMtie_model_* KSrej_model_* KStie_model_* tstat_model_* beta trunc'])
cd ..