%% program to collect all results and sort them nicely
clear; close;

% first for m = 60;
cd m60/results;
load parameters;
cd ..;
cd mat;

%% sub table for model a
% table under H0
aux = kn_both';

% add the CvM
load result_beta200_truncInf.mat
aux = [aux,table_CvM_model_a(:,1)];
load result_beta150_trunc10.mat
aux = [aux,table_CvM_model_a(:,1)];
load result_beta150_trunc20.mat
aux = [aux,table_CvM_model_a(:,1)];
load result_beta150_trunc30.mat
aux = [aux,table_CvM_model_a(:,1)];

% add the T-test
load result_beta200_truncInf.mat
aux = [aux,table_tstat_model_a(:,1)];
load result_beta150_trunc10.mat
aux = [aux,table_tstat_model_a(:,1)];
load result_beta150_trunc20.mat
aux = [aux,table_tstat_model_a(:,1)];
load result_beta150_trunc30.mat
aux = [aux,table_tstat_model_a(:,1)];

% add the KS
load result_beta200_truncInf.mat
aux = [aux,table_KS_model_a(:,1)];
load result_beta150_trunc10.mat
aux = [aux,table_KS_model_a(:,1)];
load result_beta150_trunc20.mat
aux = [aux,table_KS_model_a(:,1)];
load result_beta150_trunc30.mat
aux = [aux,table_KS_model_a(:,1)];
table_model_a = aux;

%% sub table for model b
% table under H0
aux = kn_both';

% add the CvM
load result_beta200_truncInf.mat
aux = [aux,table_CvM_model_b(:,1)];
load result_beta150_trunc10.mat
aux = [aux,table_CvM_model_b(:,1)];
load result_beta150_trunc20.mat
aux = [aux,table_CvM_model_b(:,1)];
load result_beta150_trunc30.mat
aux = [aux,table_CvM_model_b(:,1)];

% add the T-test
load result_beta200_truncInf.mat
aux = [aux,table_tstat_model_b(:,1)];
load result_beta150_trunc10.mat
aux = [aux,table_tstat_model_b(:,1)];
load result_beta150_trunc20.mat
aux = [aux,table_tstat_model_b(:,1)];
load result_beta150_trunc30.mat
aux = [aux,table_tstat_model_b(:,1)];

% add the KS
load result_beta200_truncInf.mat
aux = [aux,table_KS_model_b(:,1)];
load result_beta150_trunc10.mat
aux = [aux,table_KS_model_b(:,1)];
load result_beta150_trunc20.mat
aux = [aux,table_KS_model_b(:,1)];
load result_beta150_trunc30.mat
aux = [aux,table_KS_model_b(:,1)];
table_model_b = aux;

table_H0_long = [table_model_a;table_model_b];

same_kn = (table_H0_long(:,1)==table_H0_long(:,2));

% short is same kn and no KS (i.e., same as in the first submission)
table_H0_short = table_H0_long(same_kn==1,[1,(3:10)]);

%% power curves
% CvM for model A
subplot(2,2,1)
load result_beta200_truncInf.mat
rectangle('Position',[0,0,5,alpha],'FaceColor',[200 200 200]/255,'EdgeColor','none')
hold on
legend_vector= [];
for i=1:size(kn_both,2)
    if kn_both(1,i)==kn_both(2,i)
        
        if kn_both(1,i) == 90
            plot(Jlist,table_CvM_model_a(i,1:size(Jlist,2)),'k-')
        elseif kn_both(1,i) == 60
            plot(Jlist,table_CvM_model_a(i,1:size(Jlist,2)),'k-.')
        elseif kn_both(1,i) == 30
            plot(Jlist,table_CvM_model_a(i,1:size(Jlist,2)),'k--')
        elseif kn_both(1,i) == 15
            plot(Jlist,table_CvM_model_a(i,1:size(Jlist,2)),'k:')
        end
        
        hold on
        if kn_both(1,i)<100
            legend_vector = [legend_vector;['$k_n$  = ',num2str(kn_both(1,i))]]; %#ok<AGROW>
        else
            legend_vector = [legend_vector;['$k_n$ = ',num2str(kn_both(1,i))]]; %#ok<AGROW>
        end
    end
end
ylabel('Rejection probability','Interpreter','latex')
legend(legend_vector,'Interpreter','latex','location','southeast'); legend boxoff;
box off;
axis([0 5 0 1])
title('Permutation test in Model A','Interpreter','latex')
xlabel('Jump size','Interpreter','latex')


% t-test
subplot(2,2,2)
rectangle('Position',[0,0,5,alpha],'FaceColor',[200 200 200]/255,'EdgeColor','none')
hold on
legend_vector= [];
for i=1:size(kn_both,2)
    if kn_both(1,i)==kn_both(2,i)
        if kn_both(1,i) == 90
            plot(Jlist,table_tstat_model_a(i,1:size(Jlist,2)),'k-')
        elseif kn_both(1,i) == 60
            plot(Jlist,table_tstat_model_a(i,1:size(Jlist,2)),'k-.')
        elseif kn_both(1,i) == 30
            plot(Jlist,table_tstat_model_a(i,1:size(Jlist,2)),'k--')
        elseif kn_both(1,i) == 15
            plot(Jlist,table_tstat_model_a(i,1:size(Jlist,2)),'k:')
        end
        
        hold on
        if kn_both(1,i)<100
            legend_vector = [legend_vector;['$k_n$  = ',num2str(kn_both(1,i))]]; %#ok<AGROW>
        else
            legend_vector = [legend_vector;['$k_n$ = ',num2str(kn_both(1,i))]]; %#ok<AGROW>
        end
    end
end
ylabel('Rejection probability','Interpreter','latex')
% legend(legend_vector,'Interpreter','latex','location','southeast')
axis([0 5 0 1])
title('T-test in Model A','Interpreter','latex')
xlabel('Jump size','Interpreter','latex')

% CvM for model B
subplot(2,2,3)

rectangle('Position',[0,0,5,alpha],'FaceColor',[200 200 200]/255,'EdgeColor','none')
hold on
legend_vector= [];
for i=1:size(kn_both,2)
    if kn_both(1,i)==kn_both(2,i)
        if kn_both(1,i) == 90
            plot(Jlist,table_CvM_model_b(i,1:size(Jlist,2)),'k-')
        elseif kn_both(1,i) == 60
            plot(Jlist,table_CvM_model_b(i,1:size(Jlist,2)),'k-.')
        elseif kn_both(1,i) == 30
            plot(Jlist,table_CvM_model_b(i,1:size(Jlist,2)),'k--')
        elseif kn_both(1,i) == 15
            plot(Jlist,table_CvM_model_b(i,1:size(Jlist,2)),'k:')
        end
        
        hold on
        if kn_both(1,i)<100
            legend_vector = [legend_vector;['$k_n$  = ',num2str(kn_both(1,i))]]; %#ok<AGROW>
        else
            legend_vector = [legend_vector;['$k_n$ = ',num2str(kn_both(1,i))]]; %#ok<AGROW>
        end
    end
end
ylabel('Rejection probability','Interpreter','latex')
% legend(legend_vector,'Interpreter','latex','location','southeast')
axis([0 5 0 1])
title('Permutation test in Model B','Interpreter','latex')
xlabel('Jump size','Interpreter','latex')

% t-test
subplot(2,2,4)

rectangle('Position',[0,0,5,alpha],'FaceColor',[200 200 200]/255,'EdgeColor','none')
hold on
legend_vector= [];
for i=1:size(kn_both,2)
    if kn_both(1,i)==kn_both(2,i)
        
        if kn_both(1,i) == 90
            plot(Jlist,table_tstat_model_b(i,1:size(Jlist,2)),'k-')
        elseif kn_both(1,i) == 60
            plot(Jlist,table_tstat_model_b(i,1:size(Jlist,2)),'k-.')
        elseif kn_both(1,i) == 30
            plot(Jlist,table_tstat_model_b(i,1:size(Jlist,2)),'k--')
        elseif kn_both(1,i) == 15
            plot(Jlist,table_tstat_model_b(i,1:size(Jlist,2)),'k:')
        end
        
        hold on
        if kn_both(1,i)<100
            legend_vector = [legend_vector;['$k_n$  = ',num2str(kn_both(1,i))]]; %#ok<AGROW>
        else
            legend_vector = [legend_vector;['$k_n$ = ',num2str(kn_both(1,i))]]; %#ok<AGROW>
        end
    end
end
ylabel('Rejection probability','Interpreter','latex')
% legend(legend_vector,'Interpreter','latex','location','southeast')
axis([0 5 0 1])
title('T-test in Model B','Interpreter','latex')
xlabel('Jump size','Interpreter','latex')

set(gcf, 'Units', 'Normalized', 'OuterPosition', [0.1, 0.1,0.1+ 0.5*1, 0.1+0.5*1]);
cd ..
warning off
mkdir gral_results
warning on
cd gral_results
csvwrite('table60long.csv',table_H0_long)
csvwrite('table60short.csv',table_H0_short)
disp(table_H0_short)
saveas(gcf,'power60.png')
cd ..

%% power curves but with KS statistic as well
aux = kn_both';

% CvM for model A
subplot(2,3,1)
legend_vector= [];
for i=1:size(kn_both,2)
    if kn_both(1,i)==kn_both(2,i)
        plot(Jlist,table_CvM_model_a(i,1:size(Jlist,2)))
        hold on
        legend_vector = [legend_vector;['$k_n$  = ',num2str(kn_both(1,i))]]; %#ok<AGROW>
    end
end
ylabel('Rejection probability','Interpreter','latex')
yline(alpha,'-.')
legend(legend_vector,'Interpreter','latex','location','southeast'); legend boxoff;
box off;
axis([0 5 0 1])
title('Permutation CvM-test in Model A','Interpreter','latex')
xlabel('Jump size','Interpreter','latex')

% t-test
subplot(2,3,2)
legend_vector= [];
for i=1:size(kn_both,2)
    if kn_both(1,i)==kn_both(2,i)
        plot(Jlist,table_tstat_model_a(i,1:size(Jlist,2)))
        hold on
        legend_vector = [legend_vector;['$k_n$  = ',num2str(kn_both(1,i))]]; %#ok<AGROW>
    end
end
ylabel('Rejection probability','Interpreter','latex')
yline(alpha,'-.')
% legend(legend_vector,'Interpreter','latex','location','southeast')
axis([0 5 0 1])
title('T-test in Model A','Interpreter','latex')
xlabel('Jump size','Interpreter','latex')

% KS-test
subplot(2,3,3)
legend_vector= [];
for i=1:size(kn_both,2)
    if kn_both(1,i)==kn_both(2,i)
        plot(Jlist,table_KS_model_a(i,1:size(Jlist,2)))
        hold on
        legend_vector = [legend_vector;['$k_n$  = ',num2str(kn_both(1,i))]]; %#ok<AGROW>
    end
end
ylabel('Rejection probability','Interpreter','latex')
yline(alpha,'-.')
% legend(legend_vector,'Interpreter','latex','location','southeast')
axis([0 5 0 1])
title('Permutation KS-test in Model A','Interpreter','latex')
xlabel('Jump size','Interpreter','latex')


% CvM for model B
subplot(2,3,4)
legend_vector= [];
for i=1:size(kn_both,2)
    if kn_both(1,i)==kn_both(2,i)
        plot(Jlist,table_CvM_model_b(i,1:size(Jlist,2)))
        hold on
        legend_vector = [legend_vector;['$k_n$  = ',num2str(kn_both(1,i))]]; %#ok<AGROW>
    end
end
ylabel('Rejection probability','Interpreter','latex')
yline(alpha,'-.')
% legend(legend_vector,'Interpreter','latex','location','southeast')
axis([0 5 0 1])
title('Permutation CvM-test in Model B','Interpreter','latex')
xlabel('Jump size','Interpreter','latex')

% t-test
subplot(2,3,5)
legend_vector= [];
for i=1:size(kn_both,2)
    if kn_both(1,i)==kn_both(2,i)
        plot(Jlist,table_tstat_model_b(i,1:size(Jlist,2)))
        hold on
        legend_vector = [legend_vector;['$k_n$  = ',num2str(kn_both(1,i))]]; %#ok<AGROW>
    end
end
ylabel('Rejection probability','Interpreter','latex')
yline(alpha,'-.')
% legend(legend_vector,'Interpreter','latex','location','southeast')
axis([0 5 0 1])
title('T-test in Model B','Interpreter','latex')
xlabel('Jump size','Interpreter','latex')

% KS-test
subplot(2,3,6)
legend_vector= [];
for i=1:size(kn_both,2)
    if kn_both(1,i)==kn_both(2,i)
        plot(Jlist,table_KS_model_b(i,1:size(Jlist,2)))
        hold on
        legend_vector = [legend_vector;['$k_n$  = ',num2str(kn_both(1,i))]]; %#ok<AGROW>
    end
end
ylabel('Rejection probability','Interpreter','latex')
yline(alpha,'-.')
% legend(legend_vector,'Interpreter','latex','location','southeast')
axis([0 5 0 1])
title('Permutation KS-test in Model B','Interpreter','latex')
xlabel('Jump size','Interpreter','latex')

set(gcf, 'Units', 'Normalized', 'OuterPosition', [0.1, 0.1,0.1+ 0.5*1, 0.1+0.5*1]);
cd gral_results
saveas(gcf,'power60_B.png')
cd ../..